#ifndef INTUITION_PREFERENCES_H
#define INTUITION_PREFERENCES_H             /* don't need em */
#include <intuition/intuitionbase.h>
#endif
#include <libraries/dosextens.h>

#define PROGRAM         "wIdentify"
#define VERSION         "v1.1"
#define COPYRIGHT\
   "Copyright (c) 1990 by Davide P. Cervone, all rights reserved"

#define USAGE           "wIdentify [WINDOW name] [SCREEN name] [ALL] [NEW]"

#define MAXNAME         80


#define EXIT_ERROR      10
#define EXIT_OK         0
#define ONE             1L


#define SHOW_USAGE      1
#define JUST_EXIT       2
#define IDENTIFY_NEW    3
#define IDENTIFY_ONE    4
#define IDENTIFY_ALL    5


extern struct IntuitionBase *IntuitionBase;
#define INTUITION_REV       0L

struct IdMessage
{
   struct Message Message;
   struct Screen *Screen;
   struct Window *Window;
     #define SCREENICON     ((struct Window *)-1)
   char *Program;
};

extern struct MsgPort *IdPort;
extern long LVOOpenWindow;
extern long LVOSetWindowTitles;
extern long LVOOpenScreen;

extern void aOpenWindow();
extern void aSetWindowTitles();
extern void aOpenScreen();
extern long SetFunction();
extern struct Process *FindTask();
extern struct IdMessage *GetMsg();
extern struct MsgPort *CreatePort();

